Game Develop C++ Platform: NetworkTools.cpp File Reference

| Game Develop C++ Platform Platform for developing native games based on OpenGL and SFML with Game Develop

- Main Page
- Modules
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Groups Pages
Functions
NetworkTools.cpp File Reference
`#include <fstream>`
`#include <string>`
`#include <SFML/Network.hpp>`
`#include "GDCpp/BuiltinExtensions/NetworkTools.h"`
`#include "GDCpp/RuntimeScene.h"`
`#include "GDCpp/Variable.h"`
`#include "GDCpp/Tools/md5.h"`
`#include "GDCpp/CommonTools.h"`

## Functions

void GD_API | SendDataToPhpWebPage (const std::string &webpageurl, const std::string &password, const std::string &data1, const std::string &data2, const std::string &data3, const std::string &data4, const std::string &data5, const std::string &data6)
void GD_API | SendHttpRequest (const std::string &host, const std::string &uri, const std::string &body, const std::string &method, const std::string &contentType, gd::Variable &responseVar)
void GD_API | DownloadFile (const std::string &host, const std::string &uri, const std::string &outputfilename)
std::string GD_API | VariableStructureToJSON (const gd::Variable &variable)
void GD_API | JSONToVariableStructure (const std::string &jsonStr, gd::Variable &variable)

## Detailed Description

Game Develop 2008-2014 Florian Rival (Flori.nosp@m.an.R.nosp@m.ival@.nosp@m.gmai.nosp@m.l.com)

## Function Documentation

void GD_API SendDataToPhpWebPage | ( | const std::string & | webpageurl,
|  | const std::string & | password,
|  | const std::string & | data1,
|  | const std::string & | data2,
|  | const std::string & | data3,
|  | const std::string & | data4,
|  | const std::string & | data5,
|  | const std::string & | data6
| ) |  |

Send data to a php web page. To prevent sending hacked data ( like a modified hi score ) a md5 checksum is applied on the data+a password defined by the developer Php web page has to known the same password, and will applied md5 ont on the data+the password to be sure data were not modified.